<script setup lang="ts">
    import { computed } from "vue";
    import useImportStore from "./../stores/import";

    const props = defineProps<{
        forTab: string;
    }>();

    const importStore = useImportStore();

    function insertAllInsertable() {
        importStore.insertAllInsertable(props.forTab);
    }

    // autofill statistics
    const numberAutofillEqual = computed(() => {
        let count = 0;
        Object.values(importStore.autofillTracker).forEach((instance) => {
            if (instance.state == "equal" && instance.fieldForTab == props.forTab) {
                count++;
            }
        });
        return count;
    });
    const numberAutofillDifferent = computed(() => {
        let count = 0;
        Object.values(importStore.autofillTracker).forEach((instance) => {
            if (instance.state == "different" && instance.fieldForTab == props.forTab) {
                count++;
            }
        });
        return count;
    });
    const numberAutofillInsertable = computed(() => {
        let count = 0;
        Object.values(importStore.autofillTracker).forEach((instance) => {
            if (instance.state == "insertable" && instance.fieldForTab == props.forTab) {
                count++;
            }
        });
        return count;
    });
</script>

<template>
    <div style="display: flex" v-if="importStore.importedStructure != null">
        <v-btn class="my-4" @click="insertAllInsertable">
            <template v-slot:prepend> <span class="material-symbols-outlined"> subdirectory_arrow_left </span></template>
            Füge automatisch ein
        </v-btn>
        <div style="display: inline-block" class="ml-3">
            <span style="display: block">
                <span
                    style="
                        display: inline-block;
                        width: 1.3em;
                        height: 1.3em;
                        border-radius: 50%;
                        margin-bottom: 0.2em;
                        background-color: rgb(var(--v-theme-bg-green));
                        vertical-align: middle;
                    "
                ></span>
                <span class="ml-3">{{ numberAutofillEqual }}</span>
            </span>
            <span style="display: block">
                <span
                    style="
                        display: inline-block;
                        width: 1.3em;
                        height: 1.3em;
                        border-radius: 50%;
                        margin-bottom: 0.2em;
                        background-color: rgb(var(--v-theme-bg-yellow));
                        vertical-align: middle;
                    "
                ></span>
                <span class="ml-3">{{ numberAutofillInsertable }}</span>
            </span>
            <span style="display: block">
                <span
                    style="
                        display: inline-block;
                        width: 1.3em;
                        height: 1.3em;
                        border-radius: 50%;
                        margin-bottom: 0.2em;
                        background-color: rgb(var(--v-theme-bg-red));
                        vertical-align: middle;
                    "
                ></span>
                <span class="ml-3">{{ numberAutofillDifferent }}</span>
            </span>
        </div>
    </div>
</template>
